Summary: oVirt 4.5 packages from the CentOS Virtualization SIG repository
Name: centos-release-ovirt45
Version: 10.0
Release: 1%{?dist}
License: GPLv2
URL: https://sig.centos.org/virt/
Source0: CentOS-oVirt-4.5.repo
Source1: COPYING
Source2: RPM-GPG-KEY-oVirt-4.5
Source3: CentOS-oVirt-4.5-testing.repo

BuildArch: noarch

Requires: centos-release
Requires: centos-release-ceph-squid
Requires: centos-release-nfv-openvswitch
Requires: centos-release-virt-common

# Note: ops-tools, gluster and openstack are not yet available on CentOS Stream 10

Requires(post): python3-dnf-plugins-core

%description
Configuration and basic docs for oVirt 4.5 packages as delivered via the
CentOS Virtualization SIG.


%package -n %{name}-testing
Summary: oVirt 4.5 testing packages from the CentOS Virtualization SIG repository
Requires: %{name}

%description -n %{name}-testing
Configuration and basic docs for oVirt 4.5 testing packages as delivered via the
CentOS Virtualization SIG.



%prep
cp %{SOURCE1} .


%build
# nothing to build

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/


%post
if [ $(rpm --eval "%%centos") == 10 ]
then
# centos macro is defined on centos-like distributions
# Ensuring crb repository is enabled
dnf config-manager --set-enabled crb
# Ensuring resilientstorage repository is enabled
dnf config-manager --set-enabled resilientstorage
# Avoid conflicts with rdo openvswitch
dnf config-manager --save  --setopt="exclude=python3-rdo-openvswitch rdo-openvswitch rdo-ovn rdo-ovn-central rdo-ovn-host"
fi

%files
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-oVirt-4.5
%license COPYING

%files -n %{name}-testing
%license COPYING
%config %{_sysconfdir}/yum.repos.d/CentOS-oVirt-4.5-testing.repo

%changelog
* Tue Apr 08 2025 Sandro Bonazzola <sandro.bonazzola@gmail.com> - 10.0-1
- Initial packaging for CentOS Stream 10
